# 9.6 Test your decision using the API

## 9.6.1 Work with the Offer Decisioning API using Postman

Download [this Postman Collection for Offer Decisioning](https://github.com/AdobePartnerTechnicalServices/aep-quickstart-guide/blob/main/assets/postman/postman_offer-decisioning.zip) to your desktop and unzip it. You'll then have this:

![OD API](/files/L6TfRpuz9GGGkeQX50Oo)

You now have this file on your desktop:

* \[\_Module 14- Decisioning Service.postman\_collection.json]

In [Exercise 3.3.3 - Postman authentication to Adobe I/O](/comprehensive-technical-tutorial-archive/module3/ex3.md) you installed Postman. You'll need to use Postman again for this exercise.

Open Postman. Click **\[Import]**.

![Adobe I/O New Integration](/files/DPYrL0jTnQosApu0sABj)

Click on **\[Upload files]**.

![Adobe I/O New Integration](/files/6dbjjDBiXDg0GM2ZtLrX)

Select the file **\[\_Module 14- Decisioning Service.postman\_collection.json]** and click **\[Open]**.

![Adobe I/O New Integration](/files/e03CaK3OzqDZpNmwX3v6)

You'll then have this collection available in Postman.

![Adobe I/O New Integration](/files/xJTYOYb1ee9EUejeJuKC)

You now have everything you need in Postman to start interacting with Adobe Experience Platform through the APIs.

### 9.6.1.1 List Containers

Click to open the request **\[GET - List Containers]**.

Under **\[Params]**, you'll see this:

* property: `_instance.parentName==aepenablementfy22`

In that parameter, **\[aepenablementfy22]** is the name of the sandbox that is used in Adobe Experience Platform. The sandbox you should use is `--aepSandboxId--`. Replace the text **\[aepenablementfy22]** by `--aepSandboxId--`.

After replacing the sandbox name, click **\[Send]**.

![OD API](/files/lwS70HnoNP8VOsMI2xB4)

This is the response, which shows the offer container for the sandbox that you specified. Please copy the **\[container instanceId]** as indicated below and write it down in a text file on your computer. You'll need to use this **\[container instanceId]** for the next exercise!

![OD API](/files/lN3R50opB5xcXzjJu7SX)

### 9.6.1.2 List Placements

Click to open the request **\[GET - List Placements]**. Click **\[Send]**.

![OD API](/files/h8Oup9z2JiGVuuxc9xEz)

You're now seeing all available placements in your offer container. The placements you're seeing were defined in the Adobe Experience Platform UI, as you could see in [Exercise 9.1.3](/comprehensive-technical-tutorial-archive/module9/ex1.md).

![OD API](/files/b90GLycqo4U15l43voJw)

### 9.6.1.3 List Decision Rules

Click to open the request **\[GET - List Decision Rules]**. Click **\[Send]**.

![OD API](/files/kbv2BswZAc68Bpd2y9ZA)

In the response, you'll see the Decision Rules that you defined in the Adobe Experience Platform UI, as you could see in [Exercise 9.1.4](/comprehensive-technical-tutorial-archive/module9/ex1.md).

![OD API](/files/zNFi1D6iIGyPxt5JguHq)

### 9.6.1.4 List Personalized Offers

Click to open the request **\[GET - List Personalized Offers]**. Click **\[Send]**.

![OD API](/files/G7SX6m62TBldh638bBct)

In the response, you'll see the Personalized Offers that you defined in the Adobe Experience Platform UI in [Exercise 9.2.1](/comprehensive-technical-tutorial-archive/module9/ex2.md).

![OD API](/files/4ykI4mGxuyuPalH5xMwh)

### 9.6.1.5 List Fallback Offers

Click to open the request **\[GET - List Fallback Offers]**. Click **\[Send]**.

![OD API](/files/VpJsRO6jpwaAd8zFbCqZ)

In the response, you'll see the Fallback Offer that you defined in the Adobe Experience Platform UI in [Exercise 9.2.2](/comprehensive-technical-tutorial-archive/module9/ex2.md).

![OD API](/files/NkLvL2S2ZGMmaEnfjgLE)

### 9.6.1.6 List Collections

Click to open the request **\[GET - List Collections]**.

![OD API](/files/2OUxQR77qN9iDwA9A8Vo)

In the response, you'll see the Collection that you defined in the Adobe Experience Platform UI in [Exercise 9.2.3](/comprehensive-technical-tutorial-archive/module9/ex2.md).

![OD API](/files/ynsCoZ3cDnbTiosXv8gm)

### 9.6.1.7 Get Detailed Offers for Customer Profile

Click to open the request **\[POST - Get Detailed Offers for Customer Profile]**. This request is similar to the previous one, but will actually return details like image URLs, text etc.

![OD API](/files/BdGfRvKDrd5DLVeYVpff)

For this request, similar to the previous exercise which has similar requirements, you need to provide the values for **\[xdm:placementId]** and **\[xdm:activityId]** to retrieve the specific offer details for a customer.

The field **\[xdm:activityId]** needs to be filled out. You can retrieve that in the Adobe Experience Platform UI, as indicated below.

![OD API](/files/WV4X6DllPI29YkYhimPk)

The field **\[xdm:placementId]** needs to be filled out. You can retrieve that in the Adobe Experience Platform UI, as indicated below. In the below example, you can see the placementId for the placement **\[Web - Image]**.

![OD API](/files/aKpjCLFWvPjhlEnCvkj9)

Go to **\[Body]** and enter the email address of the customer for whom you'd like to request an offer. Click **\[Send]**.

![OD API](/files/iP4Jbm7Johp2PNxokfg4)

Finally, you'll then see the result of what kind of personalized offer and what assets need to be displayed to this customer.

![OD API](/files/ZLyHfjLd83In2zk9KByz)

You've now completed this exercise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adobesandbox.com/comprehensive-technical-tutorial-archive/module9/ex6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
